/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.core;

import java.util.Map;

import org.eclipse.cosmos.rm.validation.internal.common.IValidationOutput;

/**
 * This abstract class provides common operations required by
 * multiple validators 
 * 
 * @author Ali Mehregani
 */
public abstract class AbstractValidator implements IValidator
{
	/**
	 * The validation output
	 */
	private IValidationOutput validationOutput;
	
	/**
	 * Read in common attributes that are shared between multiple
	 * validators.
	 * 
	 * @see org.eclipse.cosmos.rm.validation.internal.core.IValidator#intialize(java.util.Map)
	 */
	public void intialize(Map validationAttribute)
	{
		validationOutput = (IValidationOutput)validationAttribute.get(IValidator.ATTRIBUTE_OUTPUT);		
	}

	/**
	 * @return the validationOutput
	 */
	public IValidationOutput getValidationOutput()
	{
		return validationOutput;
	}

	/**
	 * @param validationOutput the validationOutput to set
	 */
	public void setValidationOutput(IValidationOutput validationOutput)
	{
		this.validationOutput = validationOutput;
	}
}
