package org.eclipse.cosmos.rm.validation.internal.databuilders;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.cosmos.rm.validation.internal.SMLActivator;
import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;

/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
/**
 * This builder will build a datastructure that will contian all elements with 
 * a targetelement attribute
 * @author sleeloy
 *
 */
public class ComplexTypeElementBuilder extends DefaultHandler implements IDataBuilder {

	public static final String ID = SMLActivator.PLUGIN_ID + ".ComplexTypeElementBuilder";
    public static final String COMPLEXTYPE="complexType";
    public static final String NAME="name";
    List typeElements = new ArrayList();

	public Object getDataStructure() {
		return typeElements;
	}

	public void startElement(String uri, String localName, String qName,
			Attributes attributes) throws SAXException {
		if (localName.equals(COMPLEXTYPE)){
			String name = attributes.getValue(NAME) ;
			if (name != null)
				typeElements.add(name);
		}


	}

}
