/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.databuilders;

import org.xml.sax.ContentHandler;


/**
 * This interface is used to represent a data builder which will construct
 * a data structure while an SML document is being parsed. 
 * 
 * @author sleeloy
 * @author Ali Mehregani
 */
public interface IDataBuilder extends ContentHandler
{
	/**
	 * Retunrs the data structure.  The type of the structure must be specified as
	 * part of the specification of the class that implements this interface.
	 * 
	 * @return The data structure
	 */
	public Object getDataStructure();
	
}
