/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.databuilders;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.cosmos.rm.validation.internal.SMLActivator;
import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;

/**
 * This builder will build a datastructure that will contian all elements with 
 * a targetelement attribute
 * @author sleeloy
 *
 */
public class TargetElementBuilder extends DefaultHandler implements IDataBuilder {

	public static final String ID = SMLActivator.PLUGIN_ID + ".TargetElementBuilder";
    public static final String SMLTARGETELEMENT="sml:targetElement";
    public static final String NAME="name";
    Map targetElements = new HashMap();

	public Object getDataStructure() {
		return targetElements;
	}

	public void startElement(String uri, String localName, String qName,
			Attributes attributes) throws SAXException {
		String targetValue = attributes.getValue(SMLTARGETELEMENT) ;
		String name = attributes.getValue(NAME) ;
		if (targetValue != null)
			targetElements.put(name, targetValue);


	}
	public void endElement(String uri, String localName, String qName) throws SAXException {
		// TODO Auto-generated method stub
		
	}

}
