/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.databuilders;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.cosmos.rm.validation.internal.SMLActivator;
import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;
/**
 * This builder will build an inheritance map
 * @author sleeloy
 *
 */
public class TypeInheritanceDataBuilderImpl extends DefaultHandler implements IDataBuilder {
    
	
	public static final String ID = SMLActivator.PLUGIN_ID + ".TypeInheritanceDataBuilderImpl";
	public static final String TYPE="type";
    public static final String NAME="name";
    public static final String SMLREF="sml:refType";

	protected Map inheritanceMap = new HashMap();
	
	public Object getDataStructure() {
		// TODO Auto-generated method stub
		return inheritanceMap;
	}

	public void startElement(String uri, String localName, String qName,
			Attributes attributes) throws SAXException {
		String type = attributes.getValue(TYPE);		
		
		if ((type != null) && (!type.equals(SMLREF))){
			inheritanceMap.put(localName, type);
		}

	}
	public void endElement(String uri, String localName, String qName) throws SAXException {
		// TODO Auto-generated method stub
		
	}

}
