/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.smlvalidators;

import java.util.Map;

import org.eclipse.cosmos.rm.validation.internal.core.AbstractSMLValidator;
import org.eclipse.cosmos.rm.validation.internal.databuilders.ComplexTypeElementBuilder;
import org.eclipse.cosmos.rm.validation.internal.databuilders.DataBuilderRegistry;
import org.eclipse.cosmos.rm.validation.internal.databuilders.RefTypeElementBuilder;
import org.eclipse.cosmos.rm.validation.internal.databuilders.TargetElementBuilder;
import org.eclipse.cosmos.rm.validation.internal.databuilders.TypeInheritanceDataBuilderImpl;


// TODO: Sheldon, please use this stub to implement the target constraints: i.e. 
// sml:targetElement, sml:targetRequired, and sml:targetType 
public class TargetValidator extends AbstractSMLValidator
{

	public void intialize(Map validationAttribute)
	{
		DataBuilderRegistry builderRegistry = DataBuilderRegistry.instance();
		
		builderRegistry.registerDataStructureBuilder(TypeInheritanceDataBuilderImpl.ID, new TypeInheritanceDataBuilderImpl());
		builderRegistry.registerDataStructureBuilder(TargetElementBuilder.ID, new TargetElementBuilder());
		builderRegistry.registerDataStructureBuilder(RefTypeElementBuilder.ID, new RefTypeElementBuilder());
		builderRegistry.registerDataStructureBuilder(ComplexTypeElementBuilder.ID, new ComplexTypeElementBuilder());

		
	}

	public boolean validate()
	{
		// TODO Auto-generated method stub
		return false;
	}

}
